Organization Member
a User given membership on the Organization
Operations
| Method | Endpoint | Description |
|---|---|---|
GET |
/organization/{organization_id}/organization_member |
List OrganizationMembers |
GET |
/organization/{organization_id}/organization_member/{organization_member_id} |
Get OrganizationMember |
POST |
/organization/{organization_id}/organization_member |
Create OrganizationMember |
DELETE |
/organization/{organization_id}/organization_member/{organization_member_id} |
Delete OrganizationMember |
List OrganizationMembers
GET /organization/{organization_id}/organization_member
List OrganizationMembers
Operation ID: ListOrganizationMembers
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
organization_id |
string | ✓ | Unique identifier for a organization_id |
Query Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
where |
string | The specified string is an expression for the purpose of filtering the list of OrganizationMembers returned. The expression syntax was inspired by SQL. It supports conjunctions using AND of relational expressions of the form attribute operator attribute_or_literal. The attribute names are case-sensitive and PascalCase, as in the JSON encoding. Strings support the following operators: <, >, <=, >=, =, !=, LIKE, ILIKE, ~~, !~~, ~, ~*, !~, !~*, IN, NOT IN. String pattern operators: LIKE and ~~ for pattern matching with % and _ wildcards, ILIKE for case-insensitive pattern matching, !~~ for NOT LIKE. String regex operators: ~ for regex matching, ~* for case-insensitive regex, !~ and !~* for regex not matching (case-sensitive and insensitive). Integers support the following operators: <, >, <=, >=, =, !=, IN, NOT IN. UUIDs and boolean attributes support equality and inequality only. UUID and time literals must be quoted as string literals. String literals are quoted with single quotes, such as 'string'. Time literals use the same form as when serialized as JSON, such as: CreatedAt > '2025-02-18T23:16:34'. Integer and boolean literals are also supported for attributes of those types. Arrays support the ? operator to to match any element of the array, as in ApprovedBy ? '7c61626f-ddbe-41af-93f6-b69f4ab6d308'. Arrays can perform LEN() to check for length, as in LEN(ApprovedBy) > 0. Map support the dot notation to specify a particular map key, as in Labels.tier = 'Backend'. The IN and NOT IN operators accept a comma-separated list of values in parentheses, such as Slug IN ('slugone', 'slugtwo') or Labels.environment IN ('prod', 'staging'). Conjunctions are supported using the AND operator. An example conjunction is: CreatedAt >= '2025-01-07' AND Slug = 'test' AND Labels.mykey = 'myvalue'. Supported attributes for filtering on OrganizationMember: DisplayName, ExternalID, Slug, UserID, Username. The whole string must be query-encoded. |
|
filter |
string | UUID of a Filter entity to apply to the OrganizationMember list. The Filter must be in the same Organization as the user credentials. The Filter's From field must match the entity type being filtered (OrganizationMember). For Space-resident entities, if the Filter has a FromSpaceID, it must match the operation's SpaceID. The Filter's Where clause will be combined with any explicit 'where' parameter using AND logic. If both 'filter' and 'where' parameters are specified, they are combined with AND logic. | |
contains |
string | Free text search that approximately matches the specified string against string fields and map keys/values. The search is case-insensitive and uses pattern matching to find entities containing the text. Searchable string fields include attributes like Slug, DisplayName, and string-typed custom fields. For map fields (like Labels and Annotations), the search matches both map keys and values. The search uses OR logic across all searchable fields, so matching any field will return the entity. If both 'where' and 'contains' parameters are specified, they are combined with AND logic. Searchable fields for OrganizationMember include string and map-type attributes from the queryable attributes list. The whole string must be query-encoded. |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | OK | application/json |
Array of OrganizationMember |
| 400 | OrganizationMember request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | OrganizationMember not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing OrganizationMember. | application/json |
StandardErrorResponse |
| default | application/json |
Array of OrganizationMember |
Get OrganizationMember
GET /organization/{organization_id}/organization_member/{organization_member_id}
Get OrganizationMember
Operation ID: GetOrganizationMember
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
organization_id |
string | ✓ | Unique identifier for a organization_id |
organization_member_id |
string | ✓ | Unique identifier for a organization_member_id |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | a User given membership on the Organization | application/json |
OrganizationMember |
| 400 | OrganizationMember request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | OrganizationMember not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing OrganizationMember. | application/json |
StandardErrorResponse |
| default | a User given membership on the Organization | application/json |
OrganizationMember |
Create OrganizationMember
POST /organization/{organization_id}/organization_member
Create OrganizationMember
Operation ID: CreateOrganizationMember
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
organization_id |
string | ✓ | Unique identifier for a organization_id |
Request Body
Content-Type: application/json
Schema: OrganizationMember
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | a User given membership on the Organization | application/json |
OrganizationMember |
| 400 | OrganizationMember request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | OrganizationMember not found. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing OrganizationMember. | application/json |
StandardErrorResponse |
| default | a User given membership on the Organization | application/json |
OrganizationMember |
Delete OrganizationMember
DELETE /organization/{organization_id}/organization_member/{organization_member_id}
Delete OrganizationMember
Operation ID: DeleteOrganizationMember
Parameters
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
organization_id |
string | ✓ | Unique identifier for a organization_id |
organization_member_id |
string | ✓ | Unique identifier for a organization_member_id |
Responses
| Status | Description | Content-Type | Schema |
|---|---|---|---|
| 200 | Response for successful delete operation | application/json |
DeleteResponse |
| 400 | OrganizationMember request is invalid (Bad Request). | application/json |
StandardErrorResponse |
| 401 | Unauthorized access. | application/json |
StandardErrorResponse |
| 403 | Forbidden access. | application/json |
StandardErrorResponse |
| 404 | OrganizationMember not found. | application/json |
StandardErrorResponse |
| 422 | OrganizationMember could not be deleted. | application/json |
StandardErrorResponse |
| 500 | Something went wrong while processing OrganizationMember. | application/json |
StandardErrorResponse |
| default | Response for successful delete operation | application/json |
DeleteResponse |
Schemas
DeleteResponse
Response for successful delete operation
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Error |
ResponseError |
||
Message |
string | Response message. |
OrganizationMember
a User given membership on the Organization
Properties
| Property | Type | Required | Description |
|---|---|---|---|
DisplayName |
string | Friendly name for the organization member User. | |
ExternalID |
string | Unique identifier for the External Identity Provider record matching this User. | |
ExternalOrganizationID |
string | Unique identifier for the External Identity Provider record matching this organization. | |
OrganizationID |
string (uuid) | Unique identifier for an organization. | |
ProfilePictureURL |
string | The URL to get the profile avatar picture of the User. | |
Slug |
string | Unique URL-safe identifier for the organization member User. | |
UserID |
string (uuid) | Unique identifier for the organization member User. | |
Username |
string | Unique username for a User. Must be unique for all of ConfigHub. |
StandardErrorResponse
Error response details.
Properties
| Property | Type | Required | Description |
|---|---|---|---|
Code |
string | HTTP status code of the response. | |
Message |
string | Message returned with the response. |